SYNCHRONIZE_IRQ(9)

NAME
synchronize_irq - wait for pending IRQ handlers (on other CPUs)

SYNOPSIS

void synchronize_irq(unsigned int irq);

ARGUMENTS

irq
    interrupt number to wait for

DESCRIPTION

This function waits for any pending IRQ handlers for this interrupt to complete before returning. If you use this function while holding a resource the IRQ handler may need you will deadlock.

This function may be called - with care - from IRQ context.

COPYRIGHT